---
title: SVGEllipseElement
slug: Web/API/SVGEllipseElement
tags:
  - API
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGEllipseElement</code></strong> interface provides access to the properties of {{SVGElement("ellipse")}} elements.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGGeometryElement")}}.</em></p>

<dl>
 <dt>{{domxref("SVGEllipseElement.cx")}} {{readonlyInline}}</dt>
 <dd>This property returns a {{domxref("SVGAnimatedLength")}} reflecting the {{SVGAttr("cx")}} attribute of the given {{SVGElement("ellipse")}} element.</dd>
 <dt>{{domxref("SVGEllipseElement.cy")}} {{readonlyInline}}</dt>
 <dd>This property returns a {{domxref("SVGAnimatedLength")}} reflecting the {{SVGAttr("cy")}} attribute of the given {{SVGElement("ellipse")}} element.</dd>
 <dt>{{domxref("SVGEllipseElement.rx")}} {{readonlyInline}}</dt>
 <dd>This property returns a {{domxref("SVGAnimatedLength")}} reflecting the {{SVGAttr("rx")}} attribute of the given {{SVGElement("ellipse")}} element.</dd>
 <dt>{{domxref("SVGEllipseElement.ry")}} {{readonlyInline}}</dt>
 <dd>This property returns a {{domxref("SVGAnimatedLength")}} reflecting the {{SVGAttr("ry")}} attribute of the given {{SVGElement("ellipse")}} element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't implement any specific methods, but inherits methods from its parent interface, {{domxref("SVGGeometryElement")}}.</em></p>

<h2 id="Example">Example</h2>

<h3 id="SVG_content">SVG content</h3>

<pre class="brush: html">&lt;svg width="200" height="200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;ellipse cx="100" cy="100" rx="100" ry="60" id="ellipse"
      onclick="outputSize();"/&gt;
&lt;/svg&gt;</pre>

<h3 id="JavaScript_content">JavaScript content</h3>

<pre class="brush: js">function outputSize() {
  var ellipse = document.getElementById("ellipse");

  // Outputs "horizontal radius: 100 vertical radius: 60"
  console.log(
    'horizontal radius: ' + ellipse.rx.baseVal.valueAsString,
    'vertical radius: ' + ellipse.ry.baseVal.valueAsString
  )
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example", 220, 220)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "shapes.html#InterfaceSVGEllipseElement", "SVGEllipseElement")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#InterfaceSVGEllipseElement", "SVGEllipseElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGEllipseElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("ellipse")}} SVG Element</li>
</ul>
